* {
  box-sizing: border-box;
  border: 0px dashed red;
  html {
  -webkit-text-size-adjust: 100%;
  }
}

body {
  width: auto;
  height: auto;
  margin: 0;
  overflow-x: hidden;
  font-family: bodyFont;
  font-stretch: condensed;
}

.background {
  width: 100%;
  height: 100%;
  position: fixed;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center top;
  pointer-events: none;
  transition: opacity 3s;
  
    @media (hover:none){
        background-size: auto 100lvh;
    }
}

.container {
  container-type: inline-size;
  width: 100%;
  height: fit-content;
  margin: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  font-size: clamp(22px, 2cqw, 32px);
  backdrop-filter: contrast(100%);
}

.section {
  container-type: inline-size;
  width: 100%;
  height: auto;
  min-height: 100vh;
  margin-left: 0;
  margin-right: 0;
  padding-top: 120px;
  display: grid;
  grid-auto-rows: max-content;
  place-items: center;
  text-align: center;
}

.home {
  padding-top: 20px;
}

.row {
  container-type: inline-size;
  display: grid;
  grid-auto-flow: row;
  gap: 2%;
  text-align: center;
  width: 85cqw;
  min-width: 0;
  margin: 0 auto;
  margin-bottom: 5vh;

  &.services {
    height: clamp(240px, 20vw, 320px);
    min-width: 340px;
    grid-auto-flow: column;
    grid-auto-columns: 1fr;

    @media (max-width: 1100px) {
      width: 80vw;
      min-width: 340px;
      height: clamp(420px, 40vh, 460px);
      grid-auto-flow: row;
    }
  }

  &.info {
    min-width: 340px;
    grid-auto-flow: column;
    place-items: center;
    margin-bottom: 5vh;
    font-size: clamp(20px, 1.6cqw, 1.6cqw);
    text-align: left;

    @media (max-width: 1100px) {
      width: 80vw;
      height: auto;
      grid-auto-flow: row;
      text-align: center;
    }
  }

}

.text {
  width: 75vw;
  min-width: 340px;
  background-color: var(--color-A);
  padding: 4vh;
  border-radius: 10px;
  filter: drop-shadow(rgb(0, 0, 0) 0px 5px 10px);
  text-shadow: 0 0px 24px white;
  text-align: left;
}

.info-text {
  display: block;
  align-items: top;
  width: 58cqw;
  min-width: 340px;
  height: 100%;
  background-color: var(--color-A);
  padding: clamp(20px, 2vw, 2vw);
  border-radius: 10px;
  filter: drop-shadow(rgb(0, 0, 0) 0px 5px 10px);
  text-shadow: 0 0px 24px white;
  text-align: left;

  @media (max-width: 1100px) {
    width: 80vw;
    min-width: 340px;
    height: auto;
    text-align: left;
  }
}

.info-pic {
  height: 50vh;
}

/* Site Navigation */

.nav {
  position: relative;
  height: 100%;
  min-height: 100px;
  min-width: 300px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  overflow: hidden;
  color: var(--font-color);
  background-color: var(--color-A);
  font-size: 1.3em;
  font-weight: 600;
  transition: color 0.5s, font-size 0.5s, filter 0.5s;
  filter: drop-shadow(black 0px 0px 10px);
  transform: translate3d(0, 0, 0);

  &:hover {
    cursor: pointer;
    font-size: 1.35em;
    filter: drop-shadow(var(--highlight-color) 0px 0px 10px);
  }

  @media screen and (max-width: 500px) {
    min-height: 100px;
    min-width: 300px;
  }

}

.navText {
  width: 100%;
  position: absolute;
  pointer-events: none;
}

.button {
  margin: 2vh auto;
  width: 60cqw;
  min-width: 240px;
  padding: 20px;
  border-radius: 10px;
  filter: drop-shadow(black 0px 5px 10px);
  background-color: var(--color-B);
  color: black;
  font-size: 1.1em;
  font-weight: 500;
  transition: filter 0.3s, transform 0.5s;
  cursor: pointer;
  text-align: center;

  &:hover {
    transform: scale(1.01);
    filter: drop-shadow(white 0px 5px 10px);
  }
}

/* STAFF section */

.staffBox {
  width: clamp(350px, 70cqw, 1000px);
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  justify-content: space-evenly;
  gap: 8%;
}

.staff {
  --dimension: clamp(140px, 18cqw, 220px);
  width: var(--dimension);
  min-width: 140px;
  min-height: 140px;
  container-type: inline-size;
  display: flex;
  flex-direction: column;
  filter: drop-shadow(white 0px 0px 20px);
}

.staffPic {
  height: var(--dimension);
  border-radius: 50%;
  background-color: fuchsia;
  justify-content: center;
  overflow: hidden;
  pointer-events: none;
  user-select: none;
  margin-bottom: 2vh;
}

.staffText {
  height: var(--dimension);
  text-align: center;
  font-size: clamp(20px, 1.5cqw, 1.5cqw);
}